Vulnerability CVE-2013-7172


Published: 2019-11-21   Modified: 2019-11-24

Description:
Slackware 13.1, 13.37, 14.0 and 14.1 contain world-writable permissions on the iodbctest and iodbctestw programs within the libiodbc package, which could allow local users to use RPATH information to execute arbitrary code with root privileges.

Type:

CWE-20

(Improper Input Validation)

CVSS2 => (AV:L/AC:L/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.2/10
10/10
3.9/10
Exploit range
Attack complexity
Authentication
Local
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Slackware -> Slackware linux 

 References:
http://www.openwall.com/lists/oss-security/2013/12/20/1
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2013-7172
https://exchange.xforce.ibmcloud.com/vulnerabilities/89916
https://security-tracker.debian.org/tracker/CVE-2013-7172

Copyright 2022, cxsecurity.com

 

Back to Top